Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

pinto pull fails with '403 Proxy Configuration required' #111

Closed
dparrysmith opened this Issue Aug 23, 2013 · 3 comments

Comments

Projects
None yet
2 participants

pinto -r ~/repo pull Test::Most

gives:

Request to http://cpan.perl.org/modules/02packages.details.txt.gz failed: 403 Proxy Configuration required at reader Package::Locator::Index::index_file (defined at /nfs/users/nfs_d/dp10/opt/local/pinto/lib/perl5/Package/Locator/Index.pm line 63) line 7.

curl on the 02packages file works fine.
wget works as well.

I am using perl 5.14.4

@thaljef thaljef closed this in 54a9abb Aug 23, 2013

Owner

thaljef commented Aug 23, 2013

I just shipped Pinto 0.090 to CPAN. This release requires a newer version of Package::Locator, which respects the proxy settings in your environment. If you installed Pinto using the getpinto.stratopan.com installer script, the new release will be on Stratopan shortly. Just run the installer again to get the latest.

I don't have access to a proxy server right now, so I'm not 100% sure this works. But it is the same code that I've used elsewhere, so my confidence is fairly high. Since you said that curl and wget work fine, I'm also assuming that your proxy settings are in your environment variables (they usually are). I'd appreciate if you let me know whether this version works for you.

Side note: I plan to eventually move Package::Locator into the Pinto distribution. But that doesn't really impact you.

Thanks for reporting the bug. Have a great weekend.

thaljef pushed a commit that referenced this issue Aug 23, 2013

v0.090
      [CODE CHANGES]

      - None.

      [DEPENDENCY CHANGES]

      - Now requires version 0.010 Package::Locator, which respects your
       environment variables for user agent proxy settings.  This fixes #111.

Yes, my proxy settings are in my environment.

This version works fine for me (installed using the getpinto.stratopan.com installer).

Thanks for your rapid response.

Owner

thaljef commented Aug 27, 2013

Thanks for your rapid response.

My pleasure. Let me know if there's anything else I can do for you.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment